LinuxQuestions.org

LinuxQuestions.org (/questions/)
-   Linux - General (https://www.linuxquestions.org/questions/linux-general-1/)
-   -   centos /apache issues...no gd / imap / curl (https://www.linuxquestions.org/questions/linux-general-1/centos-apache-issues-no-gd-imap-curl-330667/)

I_AM 06-05-2005 07:23 PM

centos /apache issues...no gd / imap / curl
 
I tried updating Apache so many times but it is giving errors and not compiling GD2, IMAP or cURL at all.

Code:

EXSLT/index.html:1: parser error : Document is empty

^
EXSLT/index.html:1: parser error : Start tag expected, '<' not found

^
<html xmlns="http://www.w3.org/1999/xhtml"><head><meta http-equiv="Content-Type"
                                          ^
<html xmlns="http://www.w3.org/1999/xhtml"><head><meta http-equiv="Content-Type"
                                          ^
<html xmlns="http://www.w3.org/1999/xhtml"><head><meta http-equiv="Content-Type"
                                          ^
<html xmlns="http://www.w3.org/1999/xhtml"><head><meta http-equiv="Content-Type"
                                          ^
<html xmlns="http://www.w3.org/1999/xhtml"><head><meta http-equiv="Content-Type"
                                          ^
<html xmlns="http://www.w3.org/1999/xhtml"><head><meta http-equiv="Content-Type"
                                          ^
<html xmlns="http://www.w3.org/1999/xhtml"><head><meta http-equiv="Content-Type"

configure: error: libjpeg.(a|so) not found.

configure: error: libjpeg.(a|so) not found.


Specs:

cPanel 10.2x CURRENT (tried Stable and Release as well)
Centos 3.4 x64
Apache 1.33x
PHP 4.3.11

I've done so many things

/scripts/updatenow
/scripts/easyapache (#3, 5, 7, 8)
/scripts/upcp --force

Nothing works.

btmiller 06-06-2005 12:00 AM

Do you have the -devel packages for GD, IMAP, etc. installed? Generally you need them if you want to compile stuff against that software. The other question is why you are not just using yum to install php and all the features you need, i.e. the php-imap, php-gd, and other packages.

I_AM 06-06-2005 03:35 PM

root@server004 [~]# yum install libjpeg
Gathering header information file(s) from server(s)
Server: CentOS-3 - Addons
Server: CentOS-3 - Base
Server: CentOS-3 - Extras
Server: CentOS-3 - Updates
Finding updated packages
Downloading needed headers
libjpeg is installed and is the latest version.
No actions to take

root@server004 [~]# yum install libjpeg-devel
Gathering header information file(s) from server(s)
Server: CentOS-3 - Addons
Server: CentOS-3 - Base
Server: CentOS-3 - Extras
Server: CentOS-3 - Updates
Finding updated packages
Downloading needed headers
libjpeg-devel is installed and is the latest version.
No actions to take

Not sure what to do. This is frustrating. Been trying to solve this for 3 days now


All times are GMT -5. The time now is 03:00 PM.